Page MenuHomePhabricator

Add Wiki Loves Africa 2020 to wikiloves tool
Closed, ResolvedPublic

Description

Hello,
can we add Wiki Loves Africa 2020?

Thank you in advance,
Guillaume

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 2 2020, 6:57 PM
JeanFred triaged this task as High priority.Mar 3 2020, 9:38 AM
JeanFred added a subscriber: JeanFred.

Good call @GuillaumeG, had forgotten about that. :-)

Adding a country is done on wiki on Module:WL_data (see also the docs and T181483).

I did a quick pass with Special:Diff/401218415 ; but someone would need to check the contest dates and whether countries are missing.

Mentioned in SAL (#wikimedia-cloud) [2020-03-03T09:44:37Z] <wm-bot> <jeanfred> Deploy latest from Git master: f02938a (T246696)

Mentioned in SAL (#wikimedia-cloud) [2020-03-03T09:49:42Z] <wm-bot> <jeanfred> webservice restart for new edition (africa2020) to be displayed (T246696)

JeanFred added a comment.EditedMar 3 2020, 9:53 AM

Here we go:

2020-03-03_09:45:19 Starting database update.
Fetching configuration...
Found 30 events in the configuration.
Updating only 1 event(s): africa2020.
Fetching data for africa2020...
Saved africa2020: 33sec, 47 countries, 4193 uploads
2020-03-03_09:46:08 Done with the update!

and the warnings:

1 images discarded as out of bounds in [[Category:Images from Wiki Loves Africa 2020 in Guinea]]
africa2020 in France is configured, but no file was found in [[Category:Images from Wiki Loves Africa 2020 in France]]
africa2020 in São Tomé and Príncipe is configured, but no file was found in [[Category:Images from Wiki Loves Africa 2020 in São Tomé and Príncipe]]
1 images discarded as out of bounds in [[Category:Images from Wiki Loves Africa 2020 in Zimbabwe]]
africa2020 in Gambia is configured, but no file was found in [[Category:Images from Wiki Loves Africa 2020 in Gambia]]
africa2020 in Eritrea is configured, but no file was found in [[Category:Images from Wiki Loves Africa 2020 in Eritrea]]
1 images discarded as out of bounds in [[Category:Images from Wiki Loves Africa 2020 in Tanzania]]
africa2020 in Central African Republic is configured, but no file was found in [[Category:Images from Wiki Loves Africa 2020 in the Central African Republic]]
africa2020 in Seychelles is configured, but no file was found in [[Category:Images from Wiki Loves Africa 2020 in the Seychelles]]
africa2020 in Equatorial Guinea is configured, but no file was found in [[Category:Images from Wiki Loves Africa 2020 in Equatorial Guinea]]
africa2020 in Comoros is configured, but no file was found in [[Category:Images from Wiki Loves Africa 2020 in the Comoros]]
africa2020 in Djibouti is configured, but no file was found in [[Category:Images from Wiki Loves Africa 2020 in Djibouti]]
2 images discarded as out of bounds in [[Category:Images from Wiki Loves Africa 2020 in Botswana]]

Results at https://tools.wmflabs.org/wikiloves/africa/2020

The stats should update every 15 minutes.

Please let me know whether any countries are missing!

Merci Jean-Fred !
The contest dates seem ok. I send a message on the Telegram group to be sure there is no missing country.

JeanFred closed this task as Resolved.EditedMar 3 2020, 10:23 AM
JeanFred claimed this task.

The contest dates seem ok.

It’s only used to 'discard' pictures taken too early / too late − the logs only indicate a couple of such pictures so it should be fine.

I send a message on the Telegram group to be sure there is no missing country.

I did a quick comparison between https://tools.wmflabs.org/wikiloves/africa/2020 and https://commons.wikimedia.org/wiki/Category:Images_from_Wiki_Loves_Africa_2020 − the only discrepancies are countries which do not have any pictures uploaded yet.

Closing as resolved, please reopen if you notice any issues :)